Subject: bug#16211: eww should support multiple *eww* buffers

From: Ted Zlatanov <[email-masked]>
Date: Sat, 21 Dec 2013 15:22:43 -0500

On Sat, 21 Dec 2013 11:24:54 +0000 Ivan Shmakov <[email-masked]> wrote: 

IS> Package:  emacs
IS> Severity: wishlist

IS> 	EWW should support rendering Web pages in more than one buffer
IS> 	(akin to “tabs” and “windows” of many other browsers out there.)

I agree, but Lars and Stefan may not.  They prefer (based on a
discussion in emacs-devel just recently) a more Emacsian behavior where
possible, instead of mimicking regular web browsers.

IS> PS.  And while there, why not to make the buffer names used by EWW
IS> 	customizable, BTW?

I agree this functionality would be nice, see `eww-setup-buffer'.
Should be pretty trivial.

I don't see a need for complicated variable passing as you described and
I omitted, but have no strong opinion about it either.

Ted